Package: org.gradle.api.tasks.scala

## [Java] Class ScalaCompile

- org.gradle.api.tasks.scala.ScalaCompile

- Compiles Scala source files, and optionally, Java source files.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractScalaCompile` | `LOGGER`
    `class SourceTask` | `TASK_NAME, TASK_DESCRIPTION, TASK_GROUP, TASK_TYPE, TASK_DEPENDS_ON, TASK_OVERWRITE, TASK_ACTION`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ScalaCompile ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected void` | `assertScalaClasspathIsNonEmpty()`
    `protected void` | `configureIncrementalCompilation(org.gradle.api.internal.tasks.scala.ScalaCompileSpec spec)`
    `protected org.gradle.language.base.internal.compile.Compiler<org.gradle.api.internal.tasks.scala.ScalaJavaJointCompileSpec>` | `getCompiler(org.gradle.api.internal.tasks.scala.ScalaJavaJointCompileSpec spec)`
    `FileCollection` | `getScalaClasspath()` Returns the classpath to use to load the Scala compiler.
    `ScalaCompileOptions` | `getScalaCompileOptions()`
    `FileCollection` | `getZincClasspath()` Returns the classpath to use to load the Zinc incremental compiler.
    `void` | `setCompiler(org.gradle.language.base.internal.compile.Compiler<org.gradle.api.internal.tasks.scala.ScalaJavaJointCompileSpec> compiler)` For testing only.
    `void` | `setScalaClasspath(FileCollection scalaClasspath)`
    `void` | `setZincClasspath(FileCollection zincClasspath)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractScalaCompile` | `compile, configureIncrementalCompilation, createSpec, filterForClasspath, getCompiler, getOptions, getOrCreateGlobalAnalysisMap, getScalaCompileOptions`
    `class AbstractCompile` | `compile, getClasspath, getDestinationDir, getSourceCompatibility, getTargetCompatibility, setClasspath, setDestinationDir, setSourceCompatibility, setTargetCompatibility`
    `class SourceTask` | `source, getSource, getIncludes, getExcludes, setSource, include, include, include, include, include, include, include, include, setIncludes, setIncludes, exclude, exclude, exclude, exclude, exclude, exclude, exclude, exclude, setExcludes, setExcludes, conventionMapping, conventionMapping, getConventionMapping, setProperty, toString, compareTo, compareTo, getName, getActions, getState, getState, setName, getPath, getExtensions, getLogger, execute, configure, configure, getDescription, leftShift, property, isEnabled, setEnabled, getOutputs, getOutputs, dependsOn, onlyIf, onlyIf, setOnlyIf, setOnlyIf, setDidWork, getDidWork, doFirst, doFirst, deleteAllActions, getProject, getTaskDependencies, getTaskDependencies, doLast, doLast, getEnabled, getAnt, getLogging, getLogging, hasProperty, getConvention, setDescription, getGroup, setGroup, dependsOnTaskDidWork, getInputs, getTemporaryDir, mustRunAfter, setMustRunAfter, getMustRunAfter, finalizedBy, setFinalizedBy, getFinalizedBy, shouldRunAfter, setShouldRunAfter, getShouldRunAfter, setActions, getDependsOn, setDependsOn, getStandardOutputCapture, getAsDynamicObject, setProject, addValidator, prependParallelSafeAction, injectIntoNewInstance, setImpliesSubProjects, getExecuter, setExecuter, getTemporaryDirFactory, getValidators, appendParallelSafeAction, isHasCustomActions, getTaskActions, getOnlyIf, getImpliesSubProjects, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### @javax.inject.Inject public ScalaCompile()

  - ### Method Detail

    - #### protected void assertScalaClasspathIsNonEmpty()

    - #### @Override protected void configureIncrementalCompilation(org.gradle.api.internal.tasks.scala.ScalaCompileSpec spec)

    - #### protected org.gradle.language.base.internal.compile.Compiler<org.gradle.api.internal.tasks.scala.ScalaJavaJointCompileSpec> getCompiler(org.gradle.api.internal.tasks.scala.ScalaJavaJointCompileSpec spec)

    - #### @InputFiles public FileCollection getScalaClasspath()

      Returns the classpath to use to load the Scala compiler.

    - #### @Nested @Override public ScalaCompileOptions getScalaCompileOptions()

    - #### @InputFiles public FileCollection getZincClasspath()

      Returns the classpath to use to load the Zinc incremental compiler. This compiler in turn loads the Scala compiler.

    - #### public void setCompiler(org.gradle.language.base.internal.compile.Compiler<org.gradle.api.internal.tasks.scala.ScalaJavaJointCompileSpec> compiler)

      For testing only.

    - #### public void setScalaClasspath(FileCollection scalaClasspath)

    - #### public void setZincClasspath(FileCollection zincClasspath)